com.pixelmed.test

## Class TestUUIDBasedOID

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestUUIDBasedOID

-     public class TestUUIDBasedOID
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestUUIDBasedOID(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestUUIDBasedOID_createOIDFromUUIDCanonicalHexString()`
    `void` | `TestUUIDBasedOID_Deterministic()`
    `void` | `TestUUIDBasedOID_getByteArrayInNetworkByteOrderFromUUID()`
    `void` | `TestUUIDBasedOID_OIDConstructor()`
    `void` | `TestUUIDBasedOID_parseUUIDFromOID()`
    `void` | `TestUUIDBasedOID_roundTripFromUUID_Test1()`
    `void` | `TestUUIDBasedOID_roundTripFromUUID_Test2()`
    `void` | `TestUUIDBasedOID_Uniqueness()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestUUIDBasedOID

          public TestUUIDBasedOID(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestUUIDBasedOID_parseUUIDFromOID

          public void TestUUIDBasedOID_parseUUIDFromOID()
                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestUUIDBasedOID_OIDConstructor

          public void TestUUIDBasedOID_OIDConstructor()
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestUUIDBasedOID_createOIDFromUUIDCanonicalHexString

          public void TestUUIDBasedOID_createOIDFromUUIDCanonicalHexString()
                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestUUIDBasedOID_roundTripFromUUID_Test1

          public void TestUUIDBasedOID_roundTripFromUUID_Test1()
                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestUUIDBasedOID_roundTripFromUUID_Test2

          public void TestUUIDBasedOID_roundTripFromUUID_Test2()
                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestUUIDBasedOID_getByteArrayInNetworkByteOrderFromUUID

          public void TestUUIDBasedOID_getByteArrayInNetworkByteOrderFromUUID()
                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestUUIDBasedOID_Deterministic

          public void TestUUIDBasedOID_Deterministic()
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestUUIDBasedOID_Uniqueness

          public void TestUUIDBasedOID_Uniqueness()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`